Plugin install error: Installation fehlgeschlagen: Das Paket konnte nicht installiert werden

Ein Problem mit einer Plugin-Installation über den Bildschirm Plugin hinzufügen. Fehlermeldung zurückgegeben:

Installation fehlgeschlagen: Das Paket konnte nicht installiert werden.

Das ist mein Plugin, welches ich überarbeitet habe. Die WP-Site wird auf Bluehost gehostet; WP Version 4.7. Ich habe Folgendes getan:

  • die Zip-Datei von Grund auf neu erstellt (nicht aktualisiert)
  • Stellen Sie sicher, dass der Plugin-Header richtig formatiert ist
  • Stellen Sie sicher, dass die Readme-Datei korrekt formatiert ist (validierte sie mit dem Readme-Validstor)
  • installiert das Plugin erfolgreich über den Upload, aus der gleichen Datei, die Subversion hochgeladen hat
  • Die ZIP-Datei und die unterstützenden Ordner wurden in einen neuen Trunk-Ordner hochgeladen, der der Versionsnummer entspricht
  • überprüft, dass die über Repobrowser angezeigte URL URL in Zwischenablage kopieren die richtige URL für das Plugin ist (entspricht dem Namen des Plugins)
  • wanderte durch die Googles und versuchte, ähnliche Probleme / Lösungen zu finden, ohne Erfolg
  • Ich habe die error_log-Dateien auf der WP-Site überprüft, um relevante Fehler zu sehen (es gibt keine, die sich auf das Installationsdatum beziehen)
  • habe dasselbe Plugin auf anderen WP-Seiten versucht, die ich besitze, den gleichen Fehler
  • betrachtete ähnliche Probleme hier, ohne Erfolg
  • habe andere Plugins auf diesen (und anderen) Seiten einfach ohne Fehler installiert
  • Bei manueller Installation (per Upload) funktioniert das Plugin einwandfrei / errorsfrei

Ich bin also ziemlich verwirrt darüber, was ich sehen muss, um das Problem zu beheben. Was vermisse ich?

Solutions Collecting From Web of "Plugin install error: Installation fehlgeschlagen: Das Paket konnte nicht installiert werden"

Das Installationsproblem scheint ein Fehler in der Art und Weise zu sein, wie ich Dateien in mein Subversion-Repository einlege. Wenn die Dateien nicht an der richtigen Stelle sind, findet die WP-Plugin-Installation sie nicht.

Mein derzeitiges Verständnis ist, dass die Dateien hierher gehören

  • trunk – die zip und extrahierten aktuellen Versionen

  • tag – Erstelle hier einen Unterordner für die Versionsnummer, platziere zip und entpacke die aktuelle Version im gleichnamigen Versionsordner

  • (root) – die aktuelle zip und extrahierte Dateien

Sobald ich die Dateien an den richtigen Platz gebracht habe, würde das Plugin über den Bildschirm Plugin hinzufügen installiert werden.